Skip to main content
POST
/
folder
/
v1
cURL
curl --request POST \
  --url https://aodocs.altirnao.com/api/folder/v1 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dynamicValues": true,
  "folderId": "<string>",
  "folderVisibility": "PRIVATE",
  "id": "<string>",
  "kind": "<string>",
  "libraryId": "<string>",
  "name": "<string>",
  "onlyAdminCanEditRootFolder": true,
  "onlyAdminCanManage": true
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

securityCode
string

The security code

domain
string

The G Suite domain

Body

application/json
dynamicValues
boolean
folderId
string
folderVisibility
enum<string>
Available options:
PRIVATE,
PUBLIC,
PUBLICLY_EDITABLE
id
string
kind
string
libraryId
string
name
string
onlyAdminCanEditRootFolder
boolean
onlyAdminCanManage
boolean

Response

204

A successful response